public class ObjectParameters {
    private final int _x;
    private final int _y;
    private final int _width;
    private final int _height;

    public int LeftBorder() { return _x; }
    public int RightBorder() { return _x + _width; }
    public int TopBorder() { return _y; }
    public int DownBorder() { return _y + _height; }
    public int ObjectMiddleHorizontal() { return _x + _width / 2; }
    public int ObjectMiddleVertical() { return _y + _height / 2; }
    public ObjectParameters(int x, int y, int width, int height) {
        _x = x;
        _y = y;
        _width = width;
        _height = height;
    }
}
